import 'package:fis_measure/interfaces/process/calculators/values.dart';
import 'package:fis_measure/process/calcuators/calculator.dart';
import 'package:fis_measure/process/items/item.dart';
import 'package:fis_measure/process/primitives/urm_measure/urm_vel.dart';

class URMVelCal extends Calculator<URMVelAbstract, double> {
  URMVelCal(URMVelAbstract ref) : super(ref);

  @override
  void calculate() {
    if (ref.feature == null) return;

    // final a1 = _pickChildValue(ref.child1);
    // final a2 = _pickChildValue(ref.child2);
    // final a3 = _pickChildValue(ref.child2);

    // final feature = ref.feature!;
    // final viewport = feature.hostVisualArea!.viewport!;

    // if (a1 != null && a2 != null) {
    //   final value = GeneralFormulas.countStenosis(
    //     a1,
    //     a2,
    //   );
    //   updateFloatValue(value);
    // }
  }

  double? _pickChildValue(MeasureItem item) {
    if (item.calculator == null) return null;
    ValueBase? value;
    if (item.measuredFeatures.isNotEmpty) {
      value = item.measuredFeatures.first.value;
    } else if (item.feature != null) {
      value = item.feature!.value;
    }
    if (value != null && value is FloatValue) {
      return (value).value ?? 0;
    }
    return null;
  }
}
