import 'package:fis_measure/interfaces/date_types/point.dart';

class CardiacCycle {
  late DPoint systoleStart;
  late DPoint diastoleEnd;
  late DPoint peakSystolic;
  late DPoint minimumAbsoluteVelocity;
  late int index;
  late int regionId;
  late DPoint? ePeakEnd;
  late DPoint? aPeakStart;
  late DPoint? ePeak;
  late DPoint? aPeak;

  CardiacCycle({
    required this.systoleStart,
    required this.diastoleEnd,
    required this.peakSystolic,
    required this.minimumAbsoluteVelocity,
    required this.index,
    this.regionId = 0,
    this.ePeakEnd,
    this.aPeakStart,
    this.ePeak,
    this.aPeak,
  });
}
